
import 'dart:async';

import 'package:flutter/services.dart';

class BatteryLevelPlugin {
  static const MethodChannel _channel = MethodChannel('battery_level_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get getBatteryLevel async {
    String batteryLevel = "0.0";
    try {
      int result = await _channel.invokeMethod('getBatteryPercentage');
      batteryLevel = "Battery level at $result % .";
    } on PlatformException catch (e) {
      batteryLevel = "Failed to get battery level: ${e.message}.";
    }

    return batteryLevel;
  }
}
